%define desktop_file_utils_version 0.9

Summary: The AbiWord word processor
Name: abiword
Version: 2.0.12
Release: 9
Epoch: 1
Group: Applications/Editors
License: GPL
Source: http://prdownloads.sourceforge.net/abiword/abiword-%{version}.tar.bz2
Source11: abiword.mime
Requires: libwmf >= 0.2.8.3
Requires: libxml2 >= 2.6.8
Requires: aiksaurus-gtk >= 1.2.1
Requires: libgnomedb >= 1.0.4
PreReq: desktop-file-utils >= %{desktop_file_utils_version}

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libstdc++, /usr/bin/g++
BuildRequires: gtk2-devel aspell-devel libpng-devel
BuildRequires: libxml2-devel
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires: fribidi-devel

# some plugin build deps
BuildRequires: ots-devel >= 0.4.2
BuildRequires: libwpd-devel >= 0.7.1
BuildRequires: librsvg2-devel
BuildRequires: libwmf-devel
BuildRequires: aiksaurus-gtk-devel >= 1.2.1
BuildRequires: libgnomedb-devel >= 1.0.4

# gnome build deps
BuildRequires: libbonobo-devel
BuildRequires: libbonoboui-devel
BuildRequires: libgnomeprint22-devel
BuildRequires: libgnomeprintui22-devel
BuildRequires: libgnomeui-devel
URL: http://www.abisource.com/

Patch0: abiword-2.0.9-windowshelppaths.patch
Patch1: abiword-2.0.11-desktop.patch
Patch2: abiword-2.0.12-rh139201.patch
Patch3: abiword-2.2.0-geometry.patch
Patch4: abiword-2.2.0-security.patch
Patch5: abiword-2.2.0-removeoledecod.patch
Patch6: abiword-2.0.12-64bit.patch
Patch7: abiword-2.0.12-ownership.patch

%description
AbiWord is a cross-platform Open Source word processor. The goal is to make
AbiWord full-featured, and remain lean.

%prep
%setup -q 
%patch0 -p1 -b .windowshelppaths
%patch1 -p1 -b .desktop
%patch2 -p1 -b .rh139201
%patch3 -p1 -b .geometry
%patch4 -p1 -b .security
%patch5 -p1 -b .removeoledecod
%patch6 -p1 -b .64bit
%patch7 -p1 -b .ownership

%build
cd abi
%configure --enable-gnome --with-libxml2
cd ../wv
%configure --with-libwmf --with-libxml2
cd ../abi
make
cd ../abiword-plugins
libtoolize --copy --force
./nextgen.sh
%configure --disable-magick --with-abiword=../abi
sed 's/^predep_objects=.*/predep_objects=\"\"/' < libtool > libtool.foo
sed 's/^postdep_objects=.*/postdep_objects=\"\"/' < libtool.foo > libtool
make

# now make the docs
cd ../abiword-docs
ABI_DOC_PROG=$(pwd)/../abi/src/wp/main/unix/AbiWord-2.0 ./make-html.sh

%install
cd abi
%makeinstall
cd ../abiword-plugins
%makeinstall DESTDIR=$RPM_BUILD_ROOT

# install the docs
cd ../abiword-docs
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/AbiSuite-2.0/AbiWord/help
cp -rp help/* $RPM_BUILD_ROOT/%{_datadir}/AbiSuite-2.0/AbiWord/help/
# some of the help dirs have bad perms (#109261)
find $RPM_BUILD_ROOT/%{_datadir}/AbiSuite-2.0/AbiWord/help/ -type d -exec chmod -c o+rx {} \;

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/
cp $RPM_BUILD_ROOT%{_datadir}/AbiSuite-2.0/icons/abiword_48.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/abiword_48.png

cd ../abi
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor gnome \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Red-Hat-Extra --remove-category X-Red-Hat-Base \
  --add-category Applications --add-category Office \
  ./src/pkg/linux/rpm/data/abiword.desktop
# remove the original one (which has X-Red-Hat-Base)  (#107023)
rm -f $RPM_BUILD_ROOT/%{_datadir}/applications/abiword.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/mime-info
install -m 644 %{SOURCE11} $RPM_BUILD_ROOT%{_datadir}/mime-info

rm -f $RPM_BUILD_ROOT%{_bindir}/ttf*
# nuke .la files
rm -f $RPM_BUILD_ROOT/%{_libdir}/AbiWord-2.0/plugins/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications

%postun
/sbin/ldconfig
update-desktop-database %{_datadir}/applications

%files
%defattr(-,root,root)
%doc abi/docs 
%{_bindir}/AbiWord-2.0
%{_bindir}/abiword
%{_libdir}/AbiWord-2.0
%{_libdir}/bonobo/servers/*
%{_datadir}/AbiSuite-2.0
%{_datadir}/applications/*
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*png
%{_datadir}/icons/*png

%changelog
* Tue Dec 20 2004 Caolan McNamara <caolanm@redhat.com> 1:2.0.12-9
- RH#143180# backport fix for really stupid ownership of string bug

* Mon Dec 20 2004 Caolan McNamara <caolanm@redhat.com> 1:2.0.12-8.fc3
- RH#143180# backport 64bit fix

* Wed Nov 24 2004 Caolan McNamara <caolanm@redhat.com> 1:2.0.12-7.fc3
- fix tempnam usage

* Wed Nov 24 2004 Caolan McNamara <caolanm@redhat.com> 1:2.0.12-6.fc3
- fix tempnam usage

* Wed Nov 24 2004 Caolan McNamara <caolanm@redhat.com> 1:2.0.12-5.fc3
- fix to stop #rh140321#

* Mon Nov 15 2004 Caolan McNamara <caolanm@redhat.com> 1:2.0.12-4.fc3
- Backport fix to stop #rh139201#

* Thu Sep 30 2004 Christopher Aillon <caillon@redhat.com> 1:2.0.12-3
- Change to PreReq instead of Requires(post), up to 0.9

* Thu Sep 29 2004 Caolan McNamara <caolanm@redhat.com> 1:2.0.12-2
- Better Requires desktop-file-utils

* Wed Sep 29 2004 Caolan McNamara <caolanm@redhat.com> 1:2.0.12-1
- update to new abiword, + change norwegian wordprocessor translation

* Tue Sep 14 2004 Caolan McNamara <caolanm@redhat.com> 1:2.0.11-3
- #132389# Add more abiword supported mime types to abiword.desktop

* Mon Sep 6 2004 Caolan McNamara <caolanm@redhat.com> 1:2.0.11-2
- merge abiword.keys into abiword.desktop

* Fri Aug 27 2004 Caolan McNamara <caolanm@redhat.com> 1:2.0.11-1
- 2.0.11

* Tue Aug 10 2004 Caolan McNamara <caolanm@redhat.com> 1:2.0.10-2
- use libgnomedb

* Tue Aug 10 2004 Caolan McNamara <caolanm@redhat.com> 1:2.0.10-1
- 2.0.10
- use aiksaurus

* Tue Aug 2 2004 Matthias Clasen <mclasen@redhat.com> 1:2.0.9-4
- rebuilt

* Thu Jul 29 2004 Caolan McNamara <caolanm@redhat.com> 1:2.0.9-3
- #126012# some desktop translations

* Wed Jul 28 2004 Caolan McNamara <caolanm@redhat.com> 1:2.0.9-2
- #128004# fix irritating windows looking filenames for generated pngs

* Fri Jul 16 2004 Caolan McNamara <caolanm@redhat.com> 1:2.0.9-1
- 2.0.9, new version with security fix

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 20 2004 Caolan McNamara <caolanm@redhat.com> 1:2.0.6-1
- 2.0.7, new version + gcc34 fixes

* Wed Apr 28 2004 Caolan McNamara <caolanm@redhat.com> 1:2.0.6-1
- 2.0.6, 64bit changes made upstream

* Sat Mar 13 2004 Jeremy Katz <> 1:2.0.5-1
- 2.0.5

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 19 2004 Jeremy Katz <katzj@redhat.com> - 1:2.0.3-3
- rebuild for newer libots and libwpd
- fix verify as non-root (#109261)
- add wpd files to abiword.keys (#114907)

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Jan 29 2004 Jeremy Katz <katzj@redhat.com> - 1:2.0.3-1
- 2.0.3 (fixes build against gtk+ 2.3 and lets us rebuild to fix libcroco dep)

* Wed Dec 17 2003 Jeremy Katz <katzj@redhat.com> 1:2.0.2-2
- rebuild for new libwpd

* Sun Nov 30 2003 Jeremy Katz <katzj@redhat.com> 
- and librsvg2-devel (#111222)

* Fri Nov 28 2003 Jeremy Katz <katzj@redhat.com> 
- buildrequire libgnomeui-devel (#111164)

* Tue Oct 28 2003 Jeremy Katz <katzj@redhat.com> 1:2.0.1-1
- 2.0.1
- really remove duplicate desktop file

* Tue Oct 21 2003 Jeremy Katz <katzj@redhat.com> 1:2.0.0-6
- make the docs with the just built abiword so that we don't have to 
  have abiword installed to build the docs (#107279)

* Tue Oct 21 2003 Jeremy Katz <katzj@redhat.com> 1:2.0.0-5
- fix linkage to glib 1.2 in hancom plugin (#106033)

* Sun Oct 19 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add %%clean specfile target

* Tue Oct 14 2003 Jeremy Katz <katzj@redhat.com> 1:2.0.0-4
- remove duplicate desktop file (#107023)

* Tue Sep 23 2003 Jeremy Katz <katzj@redhat.com> 1:2.0.0-3
- include the help
- show the clipart (#104577)

* Mon Sep 15 2003 Jeremy Katz <katzj@redhat.com> 1:2.0.0-2
- rebuild with newer libwpd and libots to get those plugins

* Sun Sep 14 2003 Jeremy Katz <katzj@redhat.com> 1:2.0.0-1
- 2.0.0

* Thu Sep  4 2003 Jeremy Katz <katzj@redhat.com> 1:1.99.6-1
- 1.99.6

* Mon Aug 25 2003 Jeremy Katz <katzj@redhat.com> 1:1.99.5-1
- 1.99.5

* Tue Aug  5 2003 Jeremy Katz <katzj@redhat.com> 1:1.99.3-1
- 1.99.3
- put icon in the right place (#101646)
- fix some 64bit casting issues
- disable ots plugin for now, doesn't seem to build with ots 0.4.0 :/
- disable -pedantic -ansi so that it will build

* Mon Jul 14 2003 Jeremy Katz <katzj@redhat.com> 1:1.99.2-2
- ugly hack to deal with libtool silliness on x86_64

* Fri Jul 11 2003 Jeremy Katz <katzj@redhat.com> 1:1.99.2-1
- 1.99.2
- add buildrequires to make sure the ots and wp plugins get built
- no longer needs libgal2, remove buildrequires

* Mon Jun 16 2003 Jeremy Katz <katzj@redhat.com> 1:1.99.1-1
- 1.99.1

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 26 2003 Jeremy Katz <katzj@redhat.com> 1:1.9.1-3
- rebuild for new libgal2

* Mon May 19 2003 Jeremy Katz <katzj@redhat.com> 1:1.9.1-2
- tweak plugins build

* Mon May 12 2003 Jeremy Katz <katzj@redhat.com> 1:1.9.1-0.2
- 1.9.1
- drop old patches, switch to using autoconf based build system instead 
  of diving makefiles
- build with gnome support
- build with plugins
- add patch to build on AMD64

* Mon Apr 28 2003 Tim Powers <timp@redhat.com> 1:1.0.5-2
- rebuild to fix broken libpspell dep

* Mon Mar 24 2003 Jeremy Katz <katzj@redhat.com> 1:1.0.5-1
- 1.0.5

* Mon Feb 10 2003 Jeremy Katz <katzj@redhat.com> 1:1.0.4-2
- fix for abiword starting off the screen (#82425)

* Thu Jan 23 2003 Jeremy Katz <katzj@redhat.com> 1:1.0.4-1
- 1.0.4

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Sun Dec 29 2002 Jeremy Katz <katzj@redhat.com> 1:1.0.3-2
- make it build on x86_64

* Sun Dec 29 2002 Jeremy Katz <katzj@redhat.com> 1:1.0.3-1
- 1.0.3 (#80560)
- set umask before running mkfontdir in %%post
- patch AbiWord script to convert utf8 locales into non-utf8 variants (#72633)

* Mon Dec 02 2002 Elliot Lee <sopwith@redhat.com> 1.0.2-7
- Fix doc lines
- Fix multilib

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com> 1.0.2-6
- rebuilt with gcc-3.2 (we hope)

* Sat Aug 10 2002 Jeremy Katz <katzj@redhat.com> 1.0.2-5
- fix help index symlink (#71219)

* Thu Aug  1 2002 Jeremy Katz <katzj@redhat.com> 1.0.2-4
- add abiword binary symlink for upstream compatibility (#70267)

* Mon Jul 22 2002 Tim Powers <timp@redhat.com> 1.0.2-3
- rebuild using gcc-3.2-0.1

* Thu Jul 18 2002 Jeremy Katz <katzj@redhat.com> 1.0.2-2
- use included desktop file (#64447)
- use desktop-file-install

* Wed Jun 26 2002 Jeremy Katz <katzj@redhat.com> 1.0.2-1
- 1.0.2
- disable perl module build since we weren't including it anyway

* Wed May 29 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.0.1-1
- 1.0.1

* Sun Apr 14 2002 Jeremy Katz <katzj@redhat.com> 0.99.5-1
- zh_CN and zh_TW fonts.dir were flipped
- update to 0.99.5 as it fixes some major bugs
- define ABI_BUILD_VERSION so the about screen gives us a version

* Mon Apr  8 2002 Bennhard Rosenkraenzer <bero@redhat.com> 0.99.4-2
- 1st try at fixing up CJK (#61590)
- #if 0'ify font warning dialog (#62909, #64556)

* Tue Apr  2 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.99.4-1
- Update to 0.99.4, fixes #61153
- Fix #61344
- Nuke the warning about being unable to add anything to font path,
  that's not how xfs works.

* Thu Feb 28 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.99.2-1
- 0.99.2
- remove blank lines in fonts.dir

* Thu Jan 31 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.99.1-1
- 0.99.1

* Wed Jan 30 2002 Alex Larsson <alexl@redhat.com> 0.9.5-3
- Added patch to use libpng10
- Added patch to fix perl build problems.

* Fri Nov 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.9.5-1
- 0.9.5

* Tue Oct 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.9.4.1-1
- Update to 0.9.4.1 (RFE #54806)
- Add URL (RFE #54590)

* Thu Jul 19 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.7.14-7
- Fix uninstall (#49350)

* Sat Jul  7 2001 Tim Powers <timp@redhat.com>
- rebuilt so that dirs aren't sgid root

* Tue Jun 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.7.14-5
- Add build requirements (#45157)

* Tue Jun 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.7.14-4
- Remove CVS admin files from documentation (#44916)

* Mon Jun 18 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add s390x patch from <oliver.paukstadt@millenux.com>

* Sat Jun 09 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add s390 patch from Helge Deller

* Tue May 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.7.14-1
- Update to 0.7.14

* Tue Feb 27 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Handle MIME type stuff (Bug #27530)
- Add BuildPrereqs for some of the less common stuff AbiWord uses
  (gal-devel, gnome-print-devel, libunicode-devel)

* Tue Feb 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.7.13

* Mon Jan 15 2001 Than Ngo <than@redhat.com>
- fixed broken code for building

* Fri Dec 29 2000 Matt Wilson <msw@redhat.com>
- 0.7.12
- copy fonts.dir to fonts.scale so mkfontdir doesn't blow it away

* Tue Dec 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild to get rid of 0777 dirs

* Fri Nov 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.7.11

* Sun Aug 20 2000 Preston Brown <pbrown@redhat.com>
- fix path to chkfontpath, it was wrong.

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Mon Aug  7 2000 Jakub Jelinek <jakub@redhat.com>
- Don't ship AbiWord_s if we have AbiWord_d
- Register AbiWord's fontpath with xfs

* Wed Aug  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild with new libpng. This fixes Bug #13707 - gotta love it when they
  change the ABI without increasing the soname!
- fix tooltip (Bug #14711)
- move binaries from /usr/share to /usr/lib

* Wed Jul 12 2000 Jakub Jelinek <jakub@redhat.com>
- Fix build on ia64.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  4 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new gcc.

* Sat Jun 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix build on ia64

* Fri Jun 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.7.10
- update download location

* Fri Jun  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- initial build for main CD
- clean up specfile
- fix build with gcc 2.96 and glibc 2.2
- exclude ia64 for now

* Wed May  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.7.9

* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.7.8
- move the desktop file to /etc/X11/applnk so it can be used in both
  GNOME and KDE
- fix up handling of RPM_OPT_FLAGS

* Thu Jan 20 2000 Tim Powers <timp@redhat.com>
- bzipped source to conserve space.

* Sun Jan  9 2000 Matt Wilson <msw@redhat.com>
- enable GNOME, remove perl hack to do RPM_OPT_FLAGS
- added libpng requirement.  0.7.7 requires 1.0.5 libpng ABI

* Tue Jan  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.7.7
- handle RPM_OPT_FLAGS

* Mon Nov 15 1999 Tim Powers <timp@redhat.com>
- first build for inclusion into Powertools.
- some things in this spec file are from the abisuite-0.7.5-1mdk package
